# Class PlayerAudioTracksChangedEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - PlayerAudioTracksChangedEvent

#####
Index

### Constructors

constructor

### Properties

tracks
type

## Constructors

### constructor

- new PlayerAudioTracksChangedEvent(tracks): PlayerAudioTracksChangedEvent

- #### Parameters

  - tracks: AudioTrack[]

  #### Returns PlayerAudioTracksChangedEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` tracks

tracks: AudioTrack[]

### `Readonly` type

type: "playerAudioTracksChanged" = Events.PlayerAudioTracksChanged

Overrides BasePlayerEvent.type